#' Genetic Association Analysis
#'
#' @docType package
#' @name gaawr2
#' @aliases gaawr2-package
#'
#' @details
#' Available data and function are listed in the following table.
#'
#' Objects                   |  Description
#' --------------------------|------------------------------------
#' **Dataset**               |   &nbsp;
#' [`DiaHealth`]             |   A Bangladeshi dataset for Type 2 diabetes prediction
#' [`diabetes`]              |   A diabetes dataset
#' **Functions**             |   &nbsp;
#' [`welcome`]               |   An enhanced welcome
#'
#' We can add references such as \insertCite{Rpack:bibtex;textual}{Rdpack}.
#' @section Usage:
#' Vignettes on package usage:
#' - Genetic Association Analysis with R (II), `vignette("gaawr2")`.
#' - Web facilities, `vignette("web")`.
#' @md
#'
#' @import dplyr gap gap.datasets ggplot2
#' @importFrom survival strata
#' @importFrom Rdpack reprompt
#'
#' @references
#' \insertAllCited{}
#'
#' @author Jing Hua Zhao in collaboration with other colleagues.
#' @keywords internal
#' @examples
#' welcome(3)

"_PACKAGE"
